Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		wavpack
Version:	4.60.1
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.wavpack.com
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	wavpack - Lossless Audio compressor.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode.
Although the technology is loosely based on previous versions of WavPack,
the new version 4 format has been designed from the ground up to offer
unparalleled performance and functionality.

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure --prefix=%_prefix \
--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/wavpack
%{_bindir}/wvgain
%{_bindir}/wvunpack
%{_libdir}/libwavpack.so.*
%{_mandir}/man1/wavpack.1.gz
%{_mandir}/man1/wvgain.1.gz
%{_mandir}/man1/wvunpack.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/wavpack/wavpack.h
%{_libdir}/libwavpack.a
%{_libdir}/libwavpack.la
%{_libdir}/libwavpack.so
%{_pkgconfig}/wavpack.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.60.1-1
- Version update
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.40.0-1
- Version update
* Fri Feb 03 2006 Christian Wasem <wasem@ccux-linux.de> 4.31-1
- Initial Release
